FORUMS

Earthquake Early Warning in Your Pocket

Probably all of us reading this have a smartphone in our pocket. For many of us, the … more

Sony: The OEM You Want To Save

In our recent Discuss article, we asked you readers on which OEM you would like to help. While the … more

How to Lock and Protect Your Apps – XDA Xposed Tuesday

The smartphone revolution has passed. Everybody has mobile apps. Some of … more

Which OEM Would You Like to Help?

Most manufacturers have moments of greatness and moments of decadence, and in the past few years … more

change Bada 2.0 user agent!! now it's possible :)

10 posts
Thanks Meter: 4
 
By francescopozzi, Junior Member on 23rd August 2011, 05:27 PM
Post Reply Subscribe to Thread Email Thread
2nd November 2011, 07:18 PM |#21  
Senior Member
Thanks Meter: 3,208
 
More
*#33284*#

You tried before this Code to set Debug Level?

Best Regards
 
 
2nd November 2011, 07:30 PM |#22  
Member
Flag Riga
Thanks Meter: 24
 
More
Quote:
Originally Posted by adfree

Google Maps requires bada 2.0 Firmware?

Not tested self...

Maybe we can try user agent string from S8600...

Best Regards

Edit 1
... taken from S8600...
Mozilla/5.0 (SAMSUNG; SAMSUNG-GT-S8600/1.0; U; Bada/2.0; en-us) AppleWebKit/534.20 (KHTML, like Gecko) Dolfin/3.0 Mobile WVGA SMM-MMS/1.2.0 OPN-B

Can confirm
Enough change Bada/1.2 To Bada Bada/2.0 In user agent String
and Google Maps works
S8500 JL2
2nd November 2011, 09:14 PM |#23  
Senior Member
Thanks Meter: 84
 
More
Quote:
Originally Posted by adfree

*#33284*#

You tried before this Code to set Debug Level?

Best Regards

Yes, is exactly the code i did.
Now my Debug Level is set to Low, and the code above is still not working. It's really strange...
2nd November 2011, 09:44 PM |#24  
Member
Thanks Meter: 26
 
More
Quote:
Originally Posted by Fahrenheit51

Hi, I tried the code *#7092463*# but nothing appear to happen.
I'm using S8500MBUKI1 with the (Mid).rc2 and Debug Level set to Middle.
I've also tried Debug Level set to Low, but nothing happened.
Is there something wrong?

Its not working in S8500MBUKI1 for me also
The Following User Says Thank You to navinng For This Useful Post: [ View ]
3rd November 2011, 12:05 AM |#25  
Senior Member
Thanks Meter: 3,208
 
More
Quote:

S8500MBUKI1

No idea...
Not tested yet by me..

Maybe later...

Best Regards
18th November 2011, 08:50 PM |#26  
Senior Member
Thanks Meter: 84
 
More
I'm back. New firmware, new tests.
Now I'm using S8500XPKJ1 and I'm able to change UserAgent! I managed to take some UserAgent strings and trying them on my device.

Quote:

Opera9.8: Opera/9.80 (Windows NT 6.1; U; it) Presto/2.9.168 Version/11.52
Chrome13: Mozilla/5.0 (Windows NT 6.0) AppleWebKit/535.1 (KHTML, like Gecko) Chrome/13.0.782.112 Safari/535.1
Chrome15: Mozilla/5.0 (Windows NT 6.1) AppleWebKit/535.2 (KHTML, like Gecko) Chrome/15.0.874.120 Safari/535.2
Firefox8: Mozilla/5.0 (Windows NT 6.1; rv:8.0) Gecko/20100101 Firefox/8.0
Dolphin2: Mozilla/5.0 (SAMSUNG; SAMSUNG-GT-S8500/S8500XPKH2; U; Bada/1.2; it-it) AppleWebKit/533.1 (KHTML, like Gecko) Dolfin/2.2 Mobile WVGA SMM-MMS/1.2.0 OPN-B
Dolphin3: Mozilla/5.0 (SAMSUNG; SAMSUNG-GT-S8500/S8500XPKJ1; U; Bada/2.0; it-it) AppleWebKit/534.20 (KHTML, like Gecko) Mobile WVGA SMM-MMS/1.2.0 OPN-B Dolphin/3.0

All this codes work perfectly!
Now my dolphin 3.0 can be see around the web like Chrome 15 or Firefox 8 or Opera 9.8 as I decide

Thanks to francescopozzi for the original hint (grazie!)
24th November 2011, 06:05 AM |#27  
masterdex's Avatar
Senior Member
Thanks Meter: 80
 
More
Unhappy Thank
Quote:
Originally Posted by Fahrenheit51

I'm back. New firmware, new tests.
Now I'm using S8500XPKJ1 and I'm able to change UserAgent! I managed to take some UserAgent strings and trying them on my device.



All this codes work perfectly!
Now my dolphin 3.0 can be see around the web like Chrome 15 or Firefox 8 or Opera 9.8 as I decide

Thanks to francescopozzi for the original hint (grazie!)


Thanks for reporting, but I can not write all this data because there is not enough space.
How can I do?
They are all indinspensabili?

Non riesco a completare il codice perche manca spazio per completare.
24th November 2011, 09:09 AM |#28  
Senior Member
Thanks Meter: 84
 
More
You have to choose ONE of the codes above and write it in:
*#7092463*#
"module setting"
"browser"
"UAgent"
Of course you have to write only the line of the UA you want to use.
If you want Dolphin look like Chrime15, so you have to write the code after "chrome15:" and so on...

I don't know if I can but here there is a little guide I wrote (italian) : Changing UA in Bada Browser
14th December 2011, 08:26 PM |#29  
Junior Member
Thanks Meter: 0
 
More
Question Google Maps not working correctly on Bada (Zoom level)
I have a Samsung Wave II (S 5830) mobile phone, and as most of you know, Google maps stopped working on Bada 1.2 a few weeks ago, so I changed the User Agent string to Bada 2.0 / GT-S8600), as described in this post.

Now Google Mpas starts correctly, but I keep getting an error message (as an overlay where the card should be displayed) telling me that maps with the current zoom factor are unavailable for my region. The original message is in German (since I am living in Germany, so I don't know the exact syntax of the proper english errormessage, the original German message I get is "Karten mit diesem Zoomwert stehen für diese Region leider nicht zur Verfügung".

The instructions tell me to zoom out, but the problem is that no matter how often I press the "-" Button in Google maps, I do not get any maps, but the error message stays.

I have enabled GPS position sharing with apps, and using my local wireless LAN to connect to the internet.

Can anyone please tell what's going wrong? How can this be fixed? How can I make sure that the browser running goolge maps gets propper GPS coordinates?
20th February 2012, 07:57 AM |#30  
Senior Member
Thanks Meter: 172
 
More
I have try user agent from Galaxy ICS rom used by chrome and it works like a charm.

Mozilla/5.0 (Linux; U; Android 4.0.3; fr-fr; GT-I9000 Build/IML74K) AppleWebKit/535.7 (KHTML, like Gecko) CrMo/16.0.912.75 Mobile Safari/535.7

And I found the way to use it on a custom rom

The first is Bada, the second is ICS.
Attached Thumbnails
Click image for larger version

Name:	20120220090001.jpg
Views:	352
Size:	220.0 KB
ID:	910829   Click image for larger version

Name:	Screenshot_2012-02-20-09-02-10.jpg
Views:	348
Size:	36.1 KB
ID:	910830  
Last edited by lasentenza; 20th February 2012 at 08:05 AM.
The Following User Says Thank You to lasentenza For This Useful Post: [ View ]
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes